FROM php:7.4-fpm

ENV LANG="C.UTF-8" LC_ALL="C.UTF-8" COMPOSER_ALLOW_SUPERUSER="1" TZ=${TZ:-"Europe/Moscow"}


RUN mkdir -p /usr/share/man/man1 && touch /usr/share/man/man1/java.1.gz.dpkg-tmp
RUN apt-get update
RUN DEBIAN_FRONTEND=noninteractive apt-get install -y default-jre-headless

RUN apt-get update \
    && DEBIAN_FRONTEND=noninteractive apt-get install -y default-jre-headless

# Установка Node.js 18
RUN apt-get update && curl -fsSL https://deb.nodesource.com/setup_18.x | bash - \
    && DEBIAN_FRONTEND=noninteractive  apt-get install -y nodejs

RUN npm install --global yarn

ADD --chmod=0755 https://github.com/mlocati/docker-php-extension-installer/releases/latest/download/install-php-extensions /usr/local/bin/

RUN apt-get update \
    && DEBIAN_FRONTEND=noninteractive apt-get install -y \
        locales \
        default-jre-headless \
        libfreetype6-dev \
        libjpeg62-turbo-dev \
        libjpeg-dev \
        libpng-dev \
        libgearman-dev \
        libicu-dev \
        libtidy-dev \
        libzip-dev \
        zlib1g \
        libmemcached11 libmemcachedutil2 build-essential libmemcached-dev libz-dev \
        libxml2-dev libxslt1-dev zlib1g-dev ssh \
        mc vim sudo tzdata git zip wget \
    && install-php-extensions gd intl zip mysqli pdo_mysql calendar exif imagick memcached pcntl sockets \
                             tidy xsl xml uuid gettext soap opcache bcmath gearman redis \
    && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

COPY --from=composer:2.2.4 /usr/bin/composer /usr/local/bin/composer

COPY php7.4.ini "$PHP_INI_DIR/php.ini"

RUN curl -sS https://get.symfony.com/cli/installer | bash
RUN cp /root/.symfony5/bin/symfony /usr/local/bin/symfony

RUN echo "umask 0002" >> /etc/bash.bashrc

WORKDIR /var/app

EXPOSE 9000

